ENV['RAILS_ENV'] = 'test'

require 'rails'
require 'action_controller/railtie'
require 'rspec/rails'
require 'contexts'

module Dummy
  class Application < Rails::Application
    config.secret_key_base = 'dummy_key'
    config.session_store :cookie_store, key: '_dummy_session'
    config.eager_load = false

    config.i18n.available_locales = [ :en, :ru ]
    config.i18n.default_locale = :en
  end
end

Rails.application.initialize!

require 'dummy/app/contexts/locale_context'
require 'dummy/app/contexts/city_context'
require 'dummy/app/controllers/application_controller'
require 'dummy/app/controllers/context_controller'
require 'dummy/routes'
